Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/crypto/external/bsd/openssl #!/bin/sh
details: https://anonhg.NetBSD.org/src/rev/b0d90be49a12
branches: trunk
changeset: 784108:b0d90be49a12
user: christos <christos%NetBSD.org@localhost>
date: Fri Jan 18 17:56:11 2013 +0000
description:
#!/bin/sh
diffstat:
crypto/external/bsd/openssl/mkpc | 48 ++++++++++++++++++++++++++++++++++++++++
1 files changed, 48 insertions(+), 0 deletions(-)
diffs (52 lines):
diff -r bb0a3b020af2 -r b0d90be49a12 crypto/external/bsd/openssl/mkpc
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/crypto/external/bsd/openssl/mkpc Fri Jan 18 17:56:11 2013 +0000
@@ -0,0 +1,48 @@
+#!/bin/sh
+# $NetBSD: mkpc,v 1.1 2013/01/18 17:56:11 christos Exp $
+
+getversion() {
+ (echo '#include <openssl/opensslv.h>'; echo OPENSSL_VERSION_TEXT) |
+ cpp | grep OpenSSL | tr -d \"
+}
+VERSION="$(getversion)"
+
+sed -e "s/@VERSION@/${VERSION}/g" < "$1"
+
+case "$1" in
+libcrypto.pc)
+ NAME="OpenSSL-libcrypto"
+ LIBS="-lcrypto"
+ DESCRIPTION="OpenSSL cryptography library"
+ ;;
+libssl.pc)
+ NAME="OpenSSL"
+ LIBS="-lssl -lcrypto"
+ DESCRIPTION="Secure Sockets Layer and cryptography libraries"
+ ;;
+openssl.pc)
+ NAME="OpenSSL"
+ LIBS="-lssl -lcrypto"
+ DESCRIPTION="Sockets Layer and cryptography libraries and tools"
+ ;;
+*)
+ echo "$0: I don't know about $1" 1>&2
+ exit 1
+ ;;
+esac
+
+cat << EOF > "$1"
+# \$NetBSD: mkpc,v 1.1 2013/01/18 17:56:11 christos Exp $
+prefix=/usr
+exec_prefix=/usr
+libdir=/usr/lib
+includedir=/usr/include
+
+Name: ${NAME}
+Description: ${DESCRIPTION}
+Version: ${VERSION}
+Requires:
+Libs: ${LIBS}
+Libs.private:
+Cflags:
+EOF
Home |
Main Index |
Thread Index |
Old Index